/** 表单校验滚动到第一个错误项
 * @param {Object} that vue实例
 * this.scrollToError(this);
 */
const scrollToError = that => {
  that.$nextTick(_ => {
    const isError = document.getElementsByClassName('is-error');
    isError[0].scrollIntoView({
      // 滚动到指定节点
      // 值有start,center,end，nearest，当前显示在视图区域中间
      block: 'center',
      // 值有auto、instant,smooth，缓动动画（当前是慢速的）
      behavior: 'smooth'
    });
  });
};
export default scrollToError;
